commit:     f27068df53eefac75ef5575ce420abf012c77f6d
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 19 09:08:24 2024 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed Jun 19 09:08:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f27068df

www-servers/varnish: add 7.5.0

Closes: https://bugs.gentoo.org/929880
Closes: https://bugs.gentoo.org/930443
Bug: https://bugs.gentoo.org/918416
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 www-servers/varnish/Manifest             |   1 +
 www-servers/varnish/varnish-7.5.0.ebuild | 111 +++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/www-servers/varnish/Manifest b/www-servers/varnish/Manifest
index 414d994e17c3..715d6618c8e5 100644
--- a/www-servers/varnish/Manifest
+++ b/www-servers/varnish/Manifest
@@ -1 +1,2 @@
 DIST varnish-7.1.2.tgz 3758689 BLAKE2B 
a5c05d9dd7c5f0cd4dc0cae8cc365b658a15d017c7fb19cbe17088f009304375eb123f35935045c35c61ec3dfd7d8858774c2bbc918cc436415bd50b8894bb3b
 SHA512 
e16a4b75ede25f3812dfc4e95545e39a80022835b9155a4e42118f911e41b691cbedd296db48d307ba4a4d0d01df1149306d752de07cabe459ccbf5bcdd49238
+DIST varnish-7.5.0.tgz 4033962 BLAKE2B 
c53500d1b95b4af1b43f3d2ffa5b12592bbd1e446f03d90a8147fe37c4d602af743369629f8a1423455a3c4de6867fb5fe19d6028fd1ea457d35622e85dcbc9c
 SHA512 
ca77abcb21299942b2bfd433e5f964d2e974cdae92d6a8889217fcd81933a3b7bc1e70ba87d7e842a4f90b59d7948242155380054d67ad49aab8dcea343055a2

diff --git a/www-servers/varnish/varnish-7.5.0.ebuild 
b/www-servers/varnish/varnish-7.5.0.ebuild
new file mode 100644
index 000000000000..78e907434004
--- /dev/null
+++ b/www-servers/varnish/varnish-7.5.0.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit autotools systemd python-r1
+
+DESCRIPTION="Varnish is a state-of-the-art, high-performance HTTP accelerator"
+HOMEPAGE="https://varnish-cache.org/";
+SRC_URI="http://varnish-cache.org/_downloads/${P}.tgz";
+
+LICENSE="BSD-2 GPL-2"
+SLOT="0/2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+# From Fedora:
+# Default: Use jemalloc, as adviced by upstream project
+IUSE="+jemalloc jit selinux static-libs unwind"
+
+CDEPEND="
+       sys-libs/readline:=
+       dev-libs/libedit
+       dev-libs/libpcre2[jit?]
+       sys-libs/ncurses:=
+       jemalloc? ( dev-libs/jemalloc:= )
+       unwind? ( sys-libs/libunwind:= )
+"
+
+# varnish compiles stuff at run time
+RDEPEND="
+       ${PYTHON_DEPS}
+       ${CDEPEND}
+       acct-user/varnish
+       acct-group/varnish
+       sys-devel/gcc
+       selinux? ( sec-policy/selinux-varnishd )
+"
+DEPEND="
+       ${CDEPEND}
+       dev-python/docutils
+       dev-python/sphinx
+       virtual/pkgconfig
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+PATCHES=( "${FILESDIR}/${PN}-7.1.2-disable-tests.patch" )
+
+src_prepare() {
+       default
+
+       # Remove -Werror bug #528354
+       sed -i -e 's/-Werror\([^=]\)/\1/g' configure.ac || die
+
+       # Upstream doesn't put varnish.m4 in the m4/ directory
+       # We link because the Makefiles look for the file in
+       # the original location
+       ln -sf ../varnish.m4 m4/varnish.m4 || die
+
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --with-contrib
+               $(use_enable static-libs static)
+               $(use_enable jit pcre2-jit)
+               $(use_with jemalloc)
+               $(use_with unwind)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       python_replicate_script "${D}/usr/share/varnish/vmodtool.py"
+
+       newinitd "${FILESDIR}"/varnishlog.initd varnishlog
+       newconfd "${FILESDIR}"/varnishlog.confd varnishlog
+
+       newinitd "${FILESDIR}"/varnishncsa.initd varnishncsa
+       newconfd "${FILESDIR}"/varnishncsa.confd varnishncsa
+
+       newinitd "${FILESDIR}"/varnishd.initd-r4 varnishd
+       newconfd "${FILESDIR}"/varnishd.confd-r4 varnishd
+
+       insinto /etc/logrotate.d/
+       newins "${FILESDIR}/varnishd.logrotate-r2" varnishd
+
+       diropts -m750
+
+       keepdir /var/lib/varnish
+       keepdir /var/log/varnish
+
+       systemd_dounit "${FILESDIR}/${PN}d.service"
+
+       insinto /etc/varnish/
+       doins vmod/vmod_*.vcc
+       doins etc/example.vcl
+
+       dodoc README.rst
+       dodoc doc/changes.rst
+
+       fowners root:varnish /etc/varnish/
+       fowners varnish:varnish /var/lib/varnish/
+       fperms 0750 /var/lib/varnish/ /etc/varnish/
+
+       find "${ED}" -name "*.la" -delete || die
+}

Reply via email to